import java.util.*;

/** Klasse zur Verwaltung der Gemsearten.
  *
  * @author Bernhard Fiser 0109815
  * @version 1.0
  */
public class Art
{
	private String	id;
	private String	desc;

	/** Erstellt eine neue Leere Art */
	public Art()
	{
		this.id = "";
		this.desc = "";
	}

	/** Liefert die ID der Art zurck
	  * @return String
	  */
	public String getID()
	{
		return(this.id);
	}

	/** Liefert die textuelle Beschreibung der Art zurck.
	  * @return String 
	  */
	public String getDescription()
	{
		return(this.desc);
	}

	/** Parsed eine Textzeile und bernimmt die Daten in das Objekt.
	  * @param String : s
	  * @return boolean : true ... Parser erfolgreich
	  * @return boolean : false .. Syntax error
	  */
	public boolean parseLine(String s)
	{
		String		t;
		StringTokenizer	st;
		int		i;

		/* Stringtokenizer und Zhlvariable initialisieren */
		i = 0;
		st = new StringTokenizer(s, " ");
		while (st.hasMoreTokens())
		{
			/* Token aus string lesen */
			t = st.nextToken();
			switch (i)
			{
				/* erster Token in ID bernehmen */
				case 0 :
					/* Falls strlen ungleich 2, dann Syntaxerror */
					if (t.length() != 2)
						return(false);
					this.id = t;
					break;

				/* zweiter Token in Beschreibung bernehmen */
				case 1 :
					this.desc = t;
					break;

				/* weitere Tokens nicht erlaubt -> Syntaxerror */
				default :
					return(false);
			}
			/* Tokenzhler erhhen */
			i++;
		}
		/* Falls weniger als 2 Tokens -> Syntaxerror */
		if (i < 2)
			return(false);
		/* Andernfalls alles OK */
		return(true);
	}

}
